Bug 1269368 - Search function does not work correctly against assets which name has multibytes characters
Search function does not work correctly against assets which name has multiby...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ER5
: 6.2.0
Assigned To: manstis
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 02:28 EDT by Hisao Furuichi
Modified: 2015-11-04 07:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hisao Furuichi 2015-10-07 02:28:25 EDT
Description of problem:
Search function does not work correctly against assets which name has multibytes characters.

Version-Release number of selected component (if applicable):
6.1.3

Steps to Reproduce:
1. On business-central, create 2 drls files which name uses Japanese characters, and save those

rule 日本語あ
 when
 then
  System.out.println("日本語あ");
end

rule 日本語い
 when
 then
  System.out.println("日本語い");
end

2. Search assets by entering "日本語あ"

Actual results:
All of assets will be displayed on the result table

Expected results:
Only the asset which name is "日本語あ" will be displayed on the result table

Additional info:
It works fine with guvnor bundled with BRMS 5.3.1
Comment 1 manstis 2015-10-21 06:25:10 EDT
Hi, 

Business Central's "full text search" does *NOT* support searching the content of assets; therefore at the moment if for example your asset in Business Central was called "myRule" but *contained* the DRL you show above searching for "日本語あ" will *not* return any results. If however you call the file "日本語あ" and paste the DRL above, searching *does* return the file. 

Can you please clarify what this BZ represents? Is it "full text search" weakness (i.e. entering "日本語あ" in the textbox that has the magnifying glass icon next to it) or is it using "Find.." and selecting "drl" as the format that is not working?

Thanks,

Mike
Comment 3 Hisao Furuichi 2015-10-22 05:07:29 EDT
Hi, Mike. Thank you for your work. Please take a look at my test details:

drl filename list:
- あああ
- いいい
- reproducer

test1:
Entering "reproducer" in the textbox that has the magnifying glass icon next to it -> get result


test2:
Entering "あああ" in the textbox that has the magnifying glass icon next to it
-> no result. (in progress GUI icon keeps displayed)

If you need any information, please let me know.
Thx
Comment 4 manstis 2015-10-22 06:59:13 EDT
Thanks for the more detailed reproducer.

I followed your exact steps with Community 6.3.x (which is the basis of Product 6.2.x) and am pleased to say I could search for "あああ" in the textbox that has the magnifying glass icon, returning the DRL file I'd created in the search results.

I have to conclude the issue you report in "test2" has been resolved somewhere else along the line from 6.1.x (the version you report the error in) and 6.2.x.
Comment 6 Jozef Marko 2015-11-04 07:30:46 EST
I was able to find files named with multibyte characters.

Example:
file named - 日本語あ.drl
found by expressions like - 日本語あ, 日本語, 日あ, 本 ...

Verified on 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.